%global _empty_manifest_terminate_build 0
Name:		python-frozenlist
Version:	1.4.0
Release:	1
Summary:	A list-like structure which implements collections.abc.MutableSequence
License:	Apache-2.0
URL:		https://github.com/aio-libs/frozenlist
Source0:	https://files.pythonhosted.org/packages/8c/1f/49c96ccc87127682ba900b092863ef7c20302a2144b3185412a08480ca22/frozenlist-1.4.0.tar.gz


%description
Frozenlist is a list-like structure which implements collections.abc.MutableSequence.
The list is mutable until FrozenList.freeze is called, after which list modifications
raise RuntimeError.FrozenList is also hashable, but only when frozen. 

%package -n python3-frozenlist
Summary:	A list-like structure which implements collections.abc.MutableSequence
Provides:	python-frozenlist
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-cffi
BuildRequires:	gcc
BuildRequires:	gdb
%description -n python3-frozenlist
Frozenlist is a list-like structure which implements collections.abc.MutableSequence.
The list is mutable until FrozenList.freeze is called, after which list modifications
raise RuntimeError.FrozenList is also hashable, but only when frozen. 


%package help
Summary:	Development documents and examples for frozenlist
Provides:	python3-frozenlist-doc
%description help
Development documents and examples for frozenlist


%prep
%autosetup -n frozenlist-1.4.0

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-frozenlist -f filelist.lst
%dir %{python3_sitearch}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Aug 01 2023 sunhui <sunhui@kylinos.cn> - 1.4.0-1
- Update package to version 1.4.0

* Fri Jan 06 2023 xuesinian <xuesinian@huawei.com> - 1.3.3-1
- Package init
